<mamecheat version="1">

  <cheat desc="Infinite Fuel">
    <script state="run">
      <action>maincpu.pb@30AE=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@30B7=00</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@75A5</action>
      <action>temp1 =maincpu.mb@75AE</action>
      <action>temp2 =maincpu.mb@7966</action>
      <action>temp3 =maincpu.md@93C0</action>
    </script>
    <script state="run">
      <action>maincpu.mb@75A5=00</action>
      <action>maincpu.mb@75AE=00</action> <!-- 1st = Right Wall, 2nd = Left Wall -->
      <action>maincpu.mb@7966=00</action> <!-- Car -->
      <action>maincpu.md@93C0=3E793E00|(maincpu.md@93C0 BAND ~FFFFFF00)</action> <!-- Water + Oil -->
    </script>
    <script state="off">
      <action>maincpu.mb@75A5=temp0 </action>
      <action>maincpu.mb@75AE=temp1 </action>
      <action>maincpu.mb@7966=temp2 </action>
      <action>maincpu.md@93C0=temp3 </action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="Don't use the speed cheats with Infinite Time. Assign"/>
  <cheat desc="them to activation keys for the best effect."/>
  <cheat desc=" "/>

  <cheat desc="Select Perm. Speed">
    <parameter>
      <item value="0x07">Normal Maximum</item>
      <item value="0x2D">Super Maximum</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@3089=param</action>
    </script>
  </cheat>

  <cheat desc="Get Normal Max Speed Now!">
    <script state="on">
      <action>maincpu.pb@3089=07</action>
    </script>
  </cheat>

  <cheat desc="Get Super Max Speed Now!">
    <script state="on">
      <action>maincpu.pb@3089=2D</action>
    </script>
  </cheat>

  <cheat desc="Brake Now!">
    <script state="on">
      <action>maincpu.pb@3089=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
